Bug 161315 - devel/rsvndump incorrectly specifies subversion dependency
Summary: devel/rsvndump incorrectly specifies subversion dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-05 21:09 UTC by Doug Barton
Modified: 2011-10-07 15:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Barton freebsd_committer 2011-10-05 21:09:43 UTC
	The port specifies the dependency like this:

	BUILD_DEPENDS+= subversion>=0:${PORTSDIR}/devel/subversion

	However since no specific package is specified, and the
	subversion-freebsd port can be used to satisfy this need,
	it should be specified thus:

	BUILD_DEPENDS+= svn:${PORTSDIR}/devel/subversion

	This allows it to build with the alternate dependency.

Fix: 

Update as above. Also this port could stand a little portlint lovin' :)
How-To-Repeat: 	DNA
Comment 1 Edwin Groothuis freebsd_committer 2011-10-05 21:10:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glarkin

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2011-10-06 16:31:10 UTC
glarkin     2011-10-06 15:30:55 UTC

  FreeBSD ports repository

  Modified files:
    devel/rsvndump       Makefile distinfo 
  Log:
  - Fixed build dependency to allow devel/subversion or
    devel/subversion-freebsd [1]
  - Updated to 0.5.6
    ChangeLog: http://rsvndump.sourceforge.net/ChangeLog
  
  PR:             ports/161315
  Submitted by:   dougb [1]
  
  Revision  Changes    Path
  1.16      +2 -2      ports/devel/rsvndump/Makefile
  1.8       +2 -2      ports/devel/rsvndump/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Greg Larkin freebsd_committer 2011-10-06 16:31:19 UTC
State Changed
From-To: open->analyzed

Committed the dependency change, but I don't see any problems reported 
by portlint: 

[glarkin@amd64_82 ~/FreeBSD/ports/devel/rsvndump]$ pwd 
/home/glarkin/FreeBSD/ports/devel/rsvndump 
[glarkin@amd64_82 ~/FreeBSD/ports/devel/rsvndump]$ pcvs -nq up 
[glarkin@amd64_82 ~/FreeBSD/ports/devel/rsvndump]$ portlint -V 
portlint version 2.13.7 
[glarkin@amd64_82 ~/FreeBSD/ports/devel/rsvndump]$ portlint -C 
looks fine. 
[glarkin@amd64_82 ~/FreeBSD/ports/devel/rsvndump]$  

What does it report on your machine?
Comment 4 Greg Larkin freebsd_committer 2011-10-07 15:31:33 UTC
State Changed
From-To: analyzed->closed

Committed, thank you!